Bug 967941 - KeyError: '/' [NEEDINFO]
KeyError: '/'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e155b0116c23f8974a7dad5217b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 11:38 EDT by Jesse Kahtava
Modified: 2014-03-13 15:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 15:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (jesse_kahtava)


Attachments (Terms of Use)
File: anaconda-tb (768.72 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: anaconda.log (29.44 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: backtrace (639 bytes, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: environ (1.03 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: ifcfg.log (399 bytes, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: lsblk_output (956 bytes, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: nmcli_dev_list (3.30 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: packaging.log (402.19 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: program.log (25.78 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: storage.log (95.53 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details
File: syslog (62.68 KB, text/plain)
2013-05-28 11:39 EDT, Jesse Kahtava
no flags Details

  None (edit)
Description Jesse Kahtava 2013-05-28 11:38:45 EDT
Description of problem:
Editing partitions for a BTRFS setup
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1151, in _save_right_side
    del mountpoints[old_mountpoint]
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2353, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2364, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
KeyError: '/'

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   repo=http://download.fedoraproject.org/pub/fedora/linux/development/19/i386/os/ initrd=http://download.fedoraproject.org/pub/fedora/linux/releases/test/19-Beta/Fedora/i386/os/images/pxeboot/initrd-PAE.img BOOT_IMAGE=http://download.fedoraproject.org/pub/fedora/linux/releases/test/19-Beta/Fedora/i386/os/images/pxeboot/vmlinuz-PAE 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.i686.PAE
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2364, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2353, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1151, in _save_right_side
    del mountpoints[old_mountpoint]
KeyError: '/'
Comment 1 Jesse Kahtava 2013-05-28 11:39:01 EDT
Created attachment 753958 [details]
File: anaconda-tb
Comment 2 Jesse Kahtava 2013-05-28 11:39:06 EDT
Created attachment 753959 [details]
File: anaconda.log
Comment 3 Jesse Kahtava 2013-05-28 11:39:09 EDT
Created attachment 753960 [details]
File: backtrace
Comment 4 Jesse Kahtava 2013-05-28 11:39:14 EDT
Created attachment 753961 [details]
File: environ
Comment 5 Jesse Kahtava 2013-05-28 11:39:18 EDT
Created attachment 753962 [details]
File: ifcfg.log
Comment 6 Jesse Kahtava 2013-05-28 11:39:22 EDT
Created attachment 753963 [details]
File: lsblk_output
Comment 7 Jesse Kahtava 2013-05-28 11:39:26 EDT
Created attachment 753964 [details]
File: nmcli_dev_list
Comment 8 Jesse Kahtava 2013-05-28 11:39:35 EDT
Created attachment 753965 [details]
File: packaging.log
Comment 9 Jesse Kahtava 2013-05-28 11:39:42 EDT
Created attachment 753966 [details]
File: program.log
Comment 10 Jesse Kahtava 2013-05-28 11:39:48 EDT
Created attachment 753967 [details]
File: storage.log
Comment 11 Jesse Kahtava 2013-05-28 11:39:53 EDT
Created attachment 753968 [details]
File: syslog
Comment 12 David Shea 2014-02-28 17:41:29 EST
Can you provide steps to reproduce this error? Does it still occur in Fedora 20 or rawhide?

Note You need to log in before you can comment on or make changes to this bug.